# Uses of Class
org.eclipse.nebula.widgets.grid.GridColumnGroup

Packages that use GridColumnGroup
Package
Description
org.eclipse.nebula.widgets.grid

## Uses of GridColumnGroup in org.eclipse.nebula.widgets.grid

Methods in org.eclipse.nebula.widgets.grid that return GridColumnGroup
Modifier and Type
Method
Description
`GridColumnGroup`
Grid.`getColumnGroup(int index)`
Returns the column group at the given, zero-relative index in the receiver.
`GridColumnGroup`
GridColumn.`getColumnGroup()`
Returns the column group if this column was created inside a group, or `null` otherwise.
`GridColumnGroup[]`
Grid.`getColumnGroups()`
Returns an array of `GridColumnGroup`s which are the column groups in the receiver.
Methods in org.eclipse.nebula.widgets.grid with parameters of type GridColumnGroup
Modifier and Type
Method
Description
`void`
Grid.`selectColumnGroup(GridColumnGroup colGroup)`
Selects all cells in the given column group in the receiver.
Constructors in org.eclipse.nebula.widgets.grid with parameters of type GridColumnGroup
Modifier
Constructor
Description
``
`GridColumn(GridColumnGroup parent, int style)`
Constructs a new instance of this class given its parent column group (which must be a `GridColumnGroup`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.